### Method

# Gsk PathPoint get_curvature

since: 4.14

#### Declaration [src]

    float
    gsk_path_point_get_curvature (
      const GskPathPoint* point,
      GskPath* path,
      GskPathDirection direction,
      graphene_point_t* center
    )

#### Description [src]

Calculates the curvature of the path at the point.

Optionally, returns the center of the osculating circle as well. The curvature is the inverse of the radius of the osculating circle.

Lines have a curvature of zero (indicating an osculating circle of infinite radius). In this case, the `center` is not modified.

Circles with a radius of zero have `INFINITY` as curvature

Note that certain points on a path may not have a single curvature, such as sharp turns. At such points, there are two curvatures — the (limit of) the curvature of the path going into the point, and the (limit of) the curvature of the path coming out of it. The `direction` argument lets you choose which one to get.

.

Available since: 4.14

#### Parameters

`path`

  Type: `GskPath`

  The path that `point` is on.

  The data is owned by the caller of the method.

`direction`

  Type: `GskPathDirection`

  The direction for which to return the curvature.

`center`

  Type: `graphene_point_t`

  Return location for the center of the osculating circle.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The returned data is owned by the instance.

#### Return value

Type: `float`

The curvature of the path at the given point.